svn commit: samba r11372 - in branches/SAMBA_4_0/source/script/tests: .

abartlet at samba.org abartlet at samba.org
Fri Oct 28 12:08:04 GMT 2005


Author: abartlet
Date: 2005-10-28 12:08:03 +0000 (Fri, 28 Oct 2005)
New Revision: 11372

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=11372

Log:
Now RPC-SAMLOGON works, place it into the default 'make test'.

Andrew Bartlett

Modified:
   branches/SAMBA_4_0/source/script/tests/test_rpc.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_rpc.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_rpc.sh	2005-10-28 11:21:33 UTC (rev 11371)
+++ branches/SAMBA_4_0/source/script/tests/test_rpc.sh	2005-10-28 12:08:03 UTC (rev 11372)
@@ -40,19 +40,19 @@
  done
 done
 
+for bindoptions in connect validate ; do
+ for transport in ncalrpc; do
+     case $transport in
+	 ncalrpc) tests=$slow_ncalrpc_tests ;;
+	 ncacn_np) tests=$slow_ncacn_np_tests ;;
+	 ncacn_ip_tcp) tests=$slow_ncacn_ip_tcp_tests ;;
+     esac
+   for t in $tests; do
+    name="$t on $transport with $bindoptions"
+    testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*" || failed=`expr $failed + 1`
+   done
+ done
+done
+
 testok $0 $failed
 
-#for bindoptions in connect validate padcheck bigendian bigendian,seal; do
-# for transport in ncalrpc ncacn_np ncacn_ip_tcp; do
-#     case $transport in
-#	 ncalrpc) tests=$slow_ncalrpc_tests ;;
-#	 ncacn_np) tests=$slow_ncacn_np_tests ;;
-#	 ncacn_ip_tcp) tests=$slow_ncacn_ip_tcp_tests ;;
-#     esac
-#   for t in $tests; do
-#    name="$t on $transport with $bindoptions"
-#    testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*" || failed=`expr $failed + 1`
-#   done
-# done
-#done
-



More information about the samba-cvs mailing list